import 'dart:async';

import 'package:flutter/services.dart';

class BerbixFlutter {
  // This channel name is shared between dart, android and iOS. Don't change this unless it's
  // changed in the remaining platform files.
  static const MethodChannel _channel = MethodChannel('flutter.berbix.com/sdk');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<bool?> setClientToken(String clientToken) async {
    final bool? result = await _channel.invokeMethod<bool>('setClientToken', <String, String>{'token': clientToken});
    return result;
  }

  static Future<bool?> startFlow() async {
    final bool? result = await _channel.invokeMethod<bool>('startFlow');
    return result;
  }
}
